Loading...
Searching...
No Matches
casacore::LogiCube_global_functions_LogicalCube Struct Reference
casa package (libcasa_casa) » Arrays_module

More...

`#include <LogiCube.h>`

## Public Types

typedef Cube< LogicalArrayElem > | LogicalCube
| Define LogicalCube.

## Detailed Description

Logical valued Cubes.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- Array
- Cube
- LogicalArray

### Etymology

LogicalCube declares logical valued Cubes.

### Synopsis

This file contains the declarations for LogicalCubes.

### Motivation

These are the Cube specialization of LogicalArrays.

### To Do

- Consider making these into classes.
- Consider replacing with builtin boolean class when that makes it into the C++ compiler.

Definition at line 68 of file LogiCube.h.

## Member Typedef Documentation

## LogicalCube

typedef Cube<LogicalArrayElem> casacore::LogiCube_global_functions_LogicalCube::LogicalCube

Define LogicalCube.

Definition at line 72 of file LogiCube.h.

The documentation for this struct was generated from the following file:

- casa/Arrays/LogiCube.h